{% extends 'user.html.twig' %}

{% block title %} {{ formation }}{% endblock %}

{% block body %}
    
    <div class="container">
        <h2>{{ formation }}</h2>
        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
  Launch demo modal
</button>
        <table class="table striped centered">
            <tbody>
                <tr>
                    <th>Nom de la formation</th>
                    <td>{{formation.libelleFormation}}</td>
                </tr>
                <tr>
                    <th>Age</th>
                    <td>{{formation.age}}</td>
                </tr>
                <tr>
                    <th>Nombre de stagiaires min</th>
                    <td>{{formation.nbMinStagiaire}}</td>
                </tr>
                <tr>
                    <th>Nombre de stagiaires max</th>
                    <td>{{formation.nbMaxStagiaire}}</td>
                </tr>
                <tr>
                    <th>Nombre de formateurs</th>
                    <td>{{formation.nbFormateur}}</td>
                </tr>
                <tr>
                    <th>Categorie</th>
                    <td>{{formation.categorie}}</td>
                </tr>
                <tr>
                    <th>Diplome</th>
                    {%for formationD in formation.diplome %}
                        <td>{{formationD.libelleFormation}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Cours</th>
                    {%for formationC in formation.cours %}
                        <td>{{formationC.NomCours}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Prerogatives</th>
                    {%for formationP in formation.prerogatives %}
                        <td>{{formationP.libellePrerogative}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Prerequis</th>
                    {%for formationPs in formation.prerequis %}
                        <td>{{formationPs.libellePrerequis}}</td>
                    {% endfor %}
                </tr>
                <tr>
                    <th>Documents</th>
                    <td>
                        {% for document in formation.uploadDocumentFormations %}
                            <img src="{{ asset('/formation/'~document.nom) }}" alt="" width="150">
                        {% else %}
                            Pas de document
                        {% endfor %}
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <!-- Ajout stagiaire formation -->
    <div class="modal fade" id="modalContactForm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
            <div class="modal-header text-center">
                <h4 class="modal-title w-100 font-weight-bold">Write to us</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body mx-3">
                <div class="md-form mb-5">
                <i class="fas fa-user prefix grey-text"></i>
                <input type="text" id="form34" class="form-control validate">
                <label data-error="wrong" data-success="right" for="form34">Your name</label>
                </div>

                <div class="md-form mb-5">
                <i class="fas fa-envelope prefix grey-text"></i>
                <input type="email" id="form29" class="form-control validate">
                <label data-error="wrong" data-success="right" for="form29">Your email</label>
                </div>

                <div class="md-form mb-5">
                <i class="fas fa-tag prefix grey-text"></i>
                <input type="text" id="form32" class="form-control validate">
                <label data-error="wrong" data-success="right" for="form32">Subject</label>
                </div>

                <div class="md-form">
                <i class="fas fa-pencil prefix grey-text"></i>
                <textarea type="text" id="form8" class="md-textarea form-control" rows="4"></textarea>
                <label data-error="wrong" data-success="right" for="form8">Your message</label>
                </div>

            </div>
            <div class="modal-footer d-flex justify-content-center">
                <button class="btn btn-unique">Send <i class="fas fa-paper-plane-o ml-1"></i></button>
            </div>
            </div>
        </div>
    </div>
{% endblock %}